Bug 149278 - gfs_fsck: enter after prompt without a "y" or "n" hangs
gfs_fsck: enter after prompt without a "y" or "n" hangs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: AJ Lewis
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 16:46 EST by Corey Marthaler
Modified: 2010-01-11 22:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 18:33:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-02-21 16:46:05 EST
Description of problem:
I ran with super verbose to make sure it was actually stuck:

ondisk and fsck bitmaps differ at block 1407
(pass5.c:199)   Ondisk is 2 - FSCK thinks it is 0 (13)
Fix bitmap for block 1407? (y/n) y
(rgrp.c:135)    rgrp already read...
(bio.c:140)     Writing to 69632 - 17 4096
(rgrp.c:179)    rgrp still held...
Suceeded.
ondisk and fsck bitmaps differ at block 1408
(pass5.c:199)   Ondisk is 2 - FSCK thinks it is 0 (13)
Fix bitmap for block 1408? (y/n) y
(rgrp.c:135)    rgrp already read...
(bio.c:140)     Writing to 69632 - 17 4096
(rgrp.c:179)    rgrp still held...
Suceeded.
ondisk and fsck bitmaps differ at block 1409
(pass5.c:199)   Ondisk is 2 - FSCK thinks it is 0 (13)
Fix bitmap for block 1409? (y/n) y
(rgrp.c:135)    rgrp already read...
(bio.c:140)     Writing to 69632 - 17 4096
(rgrp.c:179)    rgrp still held...
Suceeded.
ondisk and fsck bitmaps differ at block 1410
(pass5.c:199)   Ondisk is 2 - FSCK thinks it is 0 (13)
Fix bitmap for block 1410? (y/n)

I just hit enter and... hang-o



Version-Release number of selected component (if applicable):
GFS 2.6.9-23.1 (built Feb 17 2005 11:51:12) installed


How reproducible:
Always
Comment 1 Derek Anderson 2005-02-22 09:31:32 EST
Well, it's not technically hanging, it's waiting for a char and then 
a return.  Try pressing "y" then Enter. 
 
So it's still a bug, but a UI bug, not a hang. 
Comment 2 AJ Lewis 2005-02-22 12:26:58 EST
I don't consider this a bug.  There is no obvious default to the query, so it's
waiting for the user to specify one.  I suppose I could have the fsck ask the
question again if no character is specified...is that what you're expecting?
Comment 3 Corey Marthaler 2005-02-22 12:33:16 EST
yes. I would like to see the question again. :)
Comment 4 AJ Lewis 2005-02-22 17:05:50 EST
Fixed to reprompt on carriage return or invalid response.  Should be in next build.
Comment 5 Corey Marthaler 2005-02-23 18:33:55 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.